Welcome to Foundation
=====================

# This is the [Stylus](https://github.com/learnboost/stylus) port of the Zurb Foundation framework

Foundation is the most advanced responsive front-end framework in the world. You can quickly prototype and build sites or apps that work on any kind of device with Foundation, which includes layout constructs (like a fully responsive grid), elements and best practices.

Homepage:      http://foundation.zurb.com<br />
Documentation: http://foundation.zurb.com/docs<br />
Download:      http://foundation.zurb.com/download.php

Foundation is MIT-licensed and absolutely free to use. Foundation wouldn't be possible without the support of the entire ZURB team, our friends and colleagues who gave feedback, and some luminaries who did some heavy lifting that we took advantage of (thanks guys).

Repo Contents
=============

* Base Source and Compilation Files for SCSS
* Docs
* README

ZURB
====

Foundation was made by [ZURB](http://www.zurb.com), a product design company in Campbell, CA.

If Foundation knocks your socks off the way we hope it does and you want more, why not check out [our jobs](http://www.zurb.com/talent)?

Community
=========

Many thanks to all the people working on Foundation either to improve the base code or to support specific frameworks. If you want to get on this readme send an email to foundation@zurb.com, and if you have questions you can join the Unofficial Foundation Google Group here: http://groups.google.com/group/foundation-framework-

WordPress

* [Starter Theme](https://github.com/drewsymo/Foundation) by Drew Morris
* [Reverie](http://themefortress.com/reverie/) by Zhen
* [WP-Foundation](http://320press.com/wp-foundation/features/) by 320press
* [Yeti](https://github.com/modlearning/Yeti) by Modular Learning
* [Foundation](https://github.com/drewsymo/Foundation) by Drewsymo
* [required+ Themes](http://themes.required.ch/) by required+

Joomla

* [Joomla Template](https://github.com/meridiansoftech/joomla_foundation_template) by Arnold Mwumva Ford, Meridian Softech
* [Joomla Template](https://github.com/antonydoyle/siegeengine) by Antony Doyle, Siege21

Drupal

* [Drupal Theme](https://github.com/drewkennelly/foundation7) by Drew Kennelly
* [Zurb Foundation](http://drupal.org/project/zurb-foundation) Supporting F3.2, F4 & Drupal 8  by [Ishmael Sanchez](http://ishmaelsanchez.com), [Chris Lee](http://hire.chrisjlee.net)
* [Zoundation Theme](http://drupal.org/project/zoundation) by [Andrea Burton](https://twitter.com/andreaburton) & [Jeff Graham](https://twitter.com/jgraham909), FunnyMonkey

PyroCMS

* [PyroYeti - PyroCMS Theme](https://github.com/pyrosuit/PyroYeti) by [Arnold Mwumva Ford](https://twitter.com/fordarnold) , Meridian Softech

Django

* [A foundation theme for the Pinax](http://pypi.python.org/pypi/pinax-theme-foundation) by Christopher Clarke, Kwesi Aguillera & Lendl Smith

MODX

* [MODX Version](http://designfromwithin.com/blog/2012/02/07/foundation-modx/) by Menno Pietersen

.NET

* [NuGet Package for ASP.Net MVC](http://www.nuget.org/packages/Foundation3_MVC4) by Edward Charbeneau, @EdCharbeneau

Middleman

* [Middleman Skeleton](https://github.com/axyz/middleman-zurb-foundation) by [Andrea Moretti](https://twitter.com/axyz)

Python
* [Pyramid Scaffold](https://github.com/ppinette/pyramid_foundation) by Parker Pinette

CodeIgniter

* [Responsive CodeIgniter BoilerPlate](https://github.com/meridiansoftech/meridian_ci_codebase) by [Arnold Mwumva Ford](https://twitter.com/fordarnold) , Meridian Softech

Other Implementations

* [Mobile First](https://github.com/adamfairhead/mobile-first-foundation) by Adam Fairhead
* [Less Version](https://github.com/justinmarsan/FoundationLess) by Justin Marsan
* [Less with Color Scheme](https://github.com/matalin/FoundationLess) by Matalin Hatchard

Editors

* [Textmate/Sublime Text2 Bundle](https://github.com/liamr/Zurb-Foundation-Textmate-Bundle) by Liam R, @liamr

Templates

* [Desktop, Tablet and Phone Grid PSD Templates](http://foundation.zurb.com/files/foundation-psd-templates.zip ) by Bruce Abel at Portfolio Creative Services Group
* [HAML Web Templates](https://github.com/pbonnell/foundation_templates_haml) by Peter Bonnell

Grid Generator

* [Experimental Grid Generator](http://www.gridlover.net/foundation/) courtesy of [Ville Vanninen](http://foolproof.me)

Grid displayer

* [Grid displayer bookmarklet](http://alefeuvre.github.com/foundation-grid-displayer/) by [Antoine Lefeuvre](http://twitter.com/jiraisurfer)
* [Responsive Design Bookmarklet](http://responsive.victorcoulon.fr/) by [Victor Coulon](https://twitter.com/_victa)
* [Vertical Rhythm Grid Bookmarklet](http://gridwax.gs/) by [Kevin Altman](http://twitter.com/itg)

Modular Scale

* [Modular Scale](https://github.com/scottkellum/modular-scale) by Mason Wendell and Scott Kellum

Ruby on Rails Sass Gems

* [Foundation Icons 2](https://github.com/zaiste/foundation-icons-sass-rails) by J. P. Nowak

Yeoman Generator

* [Yeoman-Foundation](https://npmjs.org/package/yeoman-foundation) by Vincent Mac


MIT Open Source License
=======================

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
